/ProofOfAddress/id
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id"), Content = new MultipartFormDataContent { new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "DocumentImageId", } } }, new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "CountryCode", } } }, new StringContent("example") { Headers = { ContentType = new MediaTypeHeaderValue("text/plain"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "TenantName", } } }, new StringContent("{ \"additionalProperty\": \"example\" }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json"), ContentDisposition = new ContentDispositionHeaderValue("form-data") { Name = "AdditionalDetails", } } }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id"
payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"CountryCode\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"TenantName\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "multipart/form-data; boundary=---011000010111000001101001")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}OkHttpClient client = new OkHttpClient();
MediaType mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001");RequestBody body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"CountryCode\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"TenantName\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n");Request request = new Request.Builder() .url("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id") .post(body) .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build();
Response response = client.newCall(request).execute();const url = 'https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id';const form = new FormData();form.append('DocumentImageId', 'example');form.append('CountryCode', 'example');form.append('TenantName', 'example');form.append('AdditionalDetails', '{ "additionalProperty": "example" }');
const options = {method: 'POST'};
options.body = form;
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}val client = OkHttpClient()
val mediaType = MediaType.parse("multipart/form-data; boundary=---011000010111000001101001")val body = RequestBody.create(mediaType, "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"DocumentImageId\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"CountryCode\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"TenantName\"\r\nContent-Type: text/plain\r\n\r\nexample\r\n-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"AdditionalDetails\"\r\nContent-Type: application/json\r\n\r\n{ \"additionalProperty\": \"example\" }\r\n-----011000010111000001101001--\r\n")val request = Request.Builder() .url("https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id") .post(body) .addHeader("Content-Type", "multipart/form-data; boundary=---011000010111000001101001") .build()
val response = client.newCall(request).execute()curl --request POST \ --url https://verification-v2-eu.core.idscan.cloud/ProofOfAddress/id \ --header 'Content-Type: multipart/form-data' \ --form DocumentImageId=example \ --form CountryCode=example \ --form TenantName=example \ --form 'AdditionalDetails={ "additionalProperty": "example" }'Get the verification response of the Proof of Address A4 processed document using id of the image stored in cache/store.
IDscan Core Document Verification Service endpoint allows a Proof of Address A4 document ID to be uploaded (Please reach out to your support representative for the “IDscan Core Authentication Guide”). The document details will be extracted.
Authorizations
Section titled “Authorizations”- None
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Correlation Id for the request
Request Body
Section titled “Request Body”object
A4 Document Image ID to be verified. (White image in normal light).
Accepts first 3 letters of the country code. Eg:- GBR
Accepts any valid string for the tenant configuration.
Pass any additional details, if required.
object
Responses
Section titled “Responses”Returns a success on the Endpoint after processing the submitted address identity document/s.This code does not indicate a success on the validation of the document itself but rather a success on the call to the Endpoint.The document result is in the response body (See Response Body section below).
Verification response after verifying the processed image.
object
Details of the classified document.
object
Represents the document classification results.
object
Has the document been classified or not.
Gets whether the recognised document is ICAO compliant.
Document type identifier.
Returns document name which is a friendly name that represents the issuer and type or subtype of the document(e.g. ‘United Kingdom Provisional Driving License’).
Returns the document type high level category (e.g. ‘Identification Card’ which covers both National and Foreigner Identification Cards types). This is the top level of document type hierarchy
Returns the document subtype. Subtype is the third level of document type hierarchy and it identities the document more specifically and usually differs from one issuer to another(E.g. ‘Full Driving Licence’, ‘Provisional Driving Licence’, ‘Probationary Driving Licence’ etc.).
Returns the identifying year of issue or a proprietary code representation this issue is known with.
Document type, second level of type hierarchy used for distinguishing document types.
Returns document side (E.g. Front, Back).
Returns document issuing country code. This field uses standard three letter ISO 3166-1 country codes(e.g. ‘GBR’ for United Kingdom).
Returns document issuing country name (E.g. United Kingdom).
Returns document issuing state code as it is recognized in the issuing country.This field should always be used along with issuing_country_code field. (e.g ‘WA’ for either Western Australia in Australia or Washington in United States of America).
Returns document issuing state name (E.g. Washington).
Represents the document classification properties.
object
Indicates whether document type support NFC journey.
Indicates whether document type support other side journey.
Details of the document extraction.
object
Extracted field aggregation of the processed document and any previous requests.
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Details of the validation.
object
List of validations that ran against the scanned document side.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The final validation result for scanned document. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
The quality result for scanned document. Values are : Undetermined If state is undetermined. Good If document quality good. Bad If document quality bad.
Quality sore for scanned document value between 0 and 1.
The validations that ran against both document sides and nfc like cross-checks.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The over all validation result for both document’s sides and nfc. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
IDSCore.Verify.Facade.Contracts.DocumentScore class represents GBG score of a document.
object
Base score of the document.
Achieved score of the document.
Contains previous processing information for front side and backside. Contains the engine used for processing under “Engine” key.
object
Image id of the extracted document that is stored in cache/store.
Contains information on any additional image ids after processing, where the images will be stored in cache/store. Eg:- { { “Key”: “TAMPERED_IMAGE”, Value : “image id of the digital tampered heat map image”}, { “Key”: “EXTRACTED_UV_IMAGE”, Value : “image id of the extracted UV image”}, { “Key”: “EXTRACTED_IR_IMAGE”, Value : “image id of the extracted IR image”}}.
object
Verification response after verifying the processed image.
object
Details of the classified document.
object
Represents the document classification results.
object
Has the document been classified or not.
Gets whether the recognised document is ICAO compliant.
Document type identifier.
Returns document name which is a friendly name that represents the issuer and type or subtype of the document(e.g. ‘United Kingdom Provisional Driving License’).
Returns the document type high level category (e.g. ‘Identification Card’ which covers both National and Foreigner Identification Cards types). This is the top level of document type hierarchy
Returns the document subtype. Subtype is the third level of document type hierarchy and it identities the document more specifically and usually differs from one issuer to another(E.g. ‘Full Driving Licence’, ‘Provisional Driving Licence’, ‘Probationary Driving Licence’ etc.).
Returns the identifying year of issue or a proprietary code representation this issue is known with.
Document type, second level of type hierarchy used for distinguishing document types.
Returns document side (E.g. Front, Back).
Returns document issuing country code. This field uses standard three letter ISO 3166-1 country codes(e.g. ‘GBR’ for United Kingdom).
Returns document issuing country name (E.g. United Kingdom).
Returns document issuing state code as it is recognized in the issuing country.This field should always be used along with issuing_country_code field. (e.g ‘WA’ for either Western Australia in Australia or Washington in United States of America).
Returns document issuing state name (E.g. Washington).
Represents the document classification properties.
object
Indicates whether document type support NFC journey.
Indicates whether document type support other side journey.
Details of the document extraction.
object
Extracted field aggregation of the processed document and any previous requests.
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Details of the validation.
object
List of validations that ran against the scanned document side.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The final validation result for scanned document. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
The quality result for scanned document. Values are : Undetermined If state is undetermined. Good If document quality good. Bad If document quality bad.
Quality sore for scanned document value between 0 and 1.
The validations that ran against both document sides and nfc like cross-checks.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The over all validation result for both document’s sides and nfc. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
IDSCore.Verify.Facade.Contracts.DocumentScore class represents GBG score of a document.
object
Base score of the document.
Achieved score of the document.
Contains previous processing information for front side and backside. Contains the engine used for processing under “Engine” key.
object
Image id of the extracted document that is stored in cache/store.
Contains information on any additional image ids after processing, where the images will be stored in cache/store. Eg:- { { “Key”: “TAMPERED_IMAGE”, Value : “image id of the digital tampered heat map image”}, { “Key”: “EXTRACTED_UV_IMAGE”, Value : “image id of the extracted UV image”}, { “Key”: “EXTRACTED_IR_IMAGE”, Value : “image id of the extracted IR image”}}.
object
Example generated
{ "classificationInfo": { "classifiedDocument": { "isDocumentClassified": true, "isIcao": true, "id": "example", "name": "example", "category": "example", "subtype": "example", "year": "example", "type": "example", "side": "example", "countryCode": "example", "countryName": "example", "stateCode": "example", "stateName": "example" }, "documentInfo": { "nfc": true, "otherSide": true } }, "extractionInfo": { "aggregatedFields": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ], "extractedFields": [ { "label": "example", "details": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ] } ] }, "validationInfo": { "validationChecks": [ { "name": "example", "title": "example", "info": "example", "validationResult": "example", "resultInfo": "example", "weight": "example", "regionOfInterests": [ { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } ], "type": "example" } ], "validationResult": "example", "documentQuality": "example", "documentQualityScore": 1, "aggregatedValidationChecks": [ { "name": "example", "title": "example", "info": "example", "validationResult": "example", "resultInfo": "example", "weight": "example", "regionOfInterests": [ { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } ], "type": "example" } ], "aggregatedValidationResult": "example" }, "documentScore": { "baseScore": 1, "achievedScore": 1 }, "additionalDetails": { "additionalProperty": "example" }, "extractedImageId": "example", "includedImageIds": [ { "key": "example", "value": "example" } ]}Verification response after verifying the processed image.
object
Details of the classified document.
object
Represents the document classification results.
object
Has the document been classified or not.
Gets whether the recognised document is ICAO compliant.
Document type identifier.
Returns document name which is a friendly name that represents the issuer and type or subtype of the document(e.g. ‘United Kingdom Provisional Driving License’).
Returns the document type high level category (e.g. ‘Identification Card’ which covers both National and Foreigner Identification Cards types). This is the top level of document type hierarchy
Returns the document subtype. Subtype is the third level of document type hierarchy and it identities the document more specifically and usually differs from one issuer to another(E.g. ‘Full Driving Licence’, ‘Provisional Driving Licence’, ‘Probationary Driving Licence’ etc.).
Returns the identifying year of issue or a proprietary code representation this issue is known with.
Document type, second level of type hierarchy used for distinguishing document types.
Returns document side (E.g. Front, Back).
Returns document issuing country code. This field uses standard three letter ISO 3166-1 country codes(e.g. ‘GBR’ for United Kingdom).
Returns document issuing country name (E.g. United Kingdom).
Returns document issuing state code as it is recognized in the issuing country.This field should always be used along with issuing_country_code field. (e.g ‘WA’ for either Western Australia in Australia or Washington in United States of America).
Returns document issuing state name (E.g. Washington).
Represents the document classification properties.
object
Indicates whether document type support NFC journey.
Indicates whether document type support other side journey.
Details of the document extraction.
object
Extracted field aggregation of the processed document and any previous requests.
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Extracted fields from query document like first name, last name, birth date etc.
Represents an information element that is extracted or deducted from the document.
object
Extracted field name which is used to identify the field.
Field information about each source where the fields was located (viz, mrz, barcode).
Field information about each source where the fields was located (viz, mrz, barcode).
object
Extracted field name which is used to identify the field.
Source for field value (viz, pdf417_barcode, mrz, rfid, hybrid, barcode or viz).
Extracted field string value.
Sets to true if the value is in Non Latin language, false otherwise.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Details of the validation.
object
List of validations that ran against the scanned document side.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The final validation result for scanned document. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
The quality result for scanned document. Values are : Undetermined If state is undetermined. Good If document quality good. Bad If document quality bad.
Quality sore for scanned document value between 0 and 1.
The validations that ran against both document sides and nfc like cross-checks.
Applied validity checks on each supported document type. Authentication helps discover many cases of fake documents or genuine documents that have been manipulated. An example of an AuthenticationCheck is cross-matching information elements that are represented in many parts of the document like a DocumentNumber that is both represented as a printed human-readable text and also encoded in a barcode. The range of checks performed will vary based on few factors.One of them depends on the document being captured, as the security features vary from one document to another. Another factor is the images that were provided, as IDES is able to validate many visible and non-visible security features but non-visible security features validation requires providing the Infrared and Ultraviolet response images.
object
Returns a value representing the identifier of this AuthenticationCheck. This identifier should be used to uniquely identify the check and refer to it programatically if needed. Authentication check Id is unique for a specific AuthenticationCheck.
Returns a value specifying the title of the AuthenticationCheck. This value can be used for friendly representation of the check to the user.For identification purposes not related with friendly representation, id field should be used
Returns a value specifying description of the AuthenticationCheck.
Returns state of the AuthenticationCheck. This indicates whether the check was Passed, Failed, inconclusive or was not able to run due to some pre-conditions that are not met. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is undetermined.
Undetermined If state is undetermined. Passed = If AuthenticationCheck passed. Failed = If AuthenticationCheck failed. Skipped = If AuthenticationCheck skipped.
Information about the result of validation check.
Score of the validation result. AuthenticationCheck return state Possible values undetermined, passed, failed or skipped. Default is Critical.
Ignore If weight is ignored. Insignificant = If weight is insignificant. Moderate = If weight is moderate. Critical = If weight is critical.
List of areas of the document where the validation check was applied.
Area of the document where the validation check was applied.
object
Surrounding box around the extracted field.
object
X coordinate of the top left of the rectangle forming the bounding box.
Y coordinate of the top left of the rectangle forming the bounding box.
Represents the width of the bounding box.
Represents the height of the bounding box.
Document side where the validation check was applied.
Image type where the validation check was applied.
Validation check type. AuthenticationCheck return state Possible values unspecified or imagequality. Default is unspecified.
Unspecified = If type is not specified. ImageQuality = If type is image quality.
The over all validation result for both document’s sides and nfc. Values are : Undetermined If state is undetermined. Passed If AuthenticationCheck passed. Failed If AuthenticationCheck failed. Skipped If AuthenticationCheck skipped.
IDSCore.Verify.Facade.Contracts.DocumentScore class represents GBG score of a document.
object
Base score of the document.
Achieved score of the document.
Contains previous processing information for front side and backside. Contains the engine used for processing under “Engine” key.
object
Image id of the extracted document that is stored in cache/store.
Contains information on any additional image ids after processing, where the images will be stored in cache/store. Eg:- { { “Key”: “TAMPERED_IMAGE”, Value : “image id of the digital tampered heat map image”}, { “Key”: “EXTRACTED_UV_IMAGE”, Value : “image id of the extracted UV image”}, { “Key”: “EXTRACTED_IR_IMAGE”, Value : “image id of the extracted IR image”}}.
object
Example generated
{ "classificationInfo": { "classifiedDocument": { "isDocumentClassified": true, "isIcao": true, "id": "example", "name": "example", "category": "example", "subtype": "example", "year": "example", "type": "example", "side": "example", "countryCode": "example", "countryName": "example", "stateCode": "example", "stateName": "example" }, "documentInfo": { "nfc": true, "otherSide": true } }, "extractionInfo": { "aggregatedFields": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ], "extractedFields": [ { "label": "example", "details": [ { "label": "example", "source": "example", "value": "example", "isNonLatin": true, "regionOfInterest": { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } } ] } ] }, "validationInfo": { "validationChecks": [ { "name": "example", "title": "example", "info": "example", "validationResult": "example", "resultInfo": "example", "weight": "example", "regionOfInterests": [ { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } ], "type": "example" } ], "validationResult": "example", "documentQuality": "example", "documentQualityScore": 1, "aggregatedValidationChecks": [ { "name": "example", "title": "example", "info": "example", "validationResult": "example", "resultInfo": "example", "weight": "example", "regionOfInterests": [ { "boundingBox": { "x": 1, "y": 1, "width": 1, "height": 1 }, "side": "example", "spectrum": "example" } ], "type": "example" } ], "aggregatedValidationResult": "example" }, "documentScore": { "baseScore": 1, "achievedScore": 1 }, "additionalDetails": { "additionalProperty": "example" }, "extractedImageId": "example", "includedImageIds": [ { "key": "example", "value": "example" } ]}Error with the provided parameters, please, check the response provided to get more insights on the problem.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}Internal error during our processing, please, get in touch with support so we can help you.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}A downstream service is temporarily out of capacity, please, retry later.
object
object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}object
Example generated
{ "errorMessage": "example", "errors": [ "example" ]}